=== debian/changelog ===
ros-iron-admittance-controller (3.15.0-1jammy) jammy; urgency=high

  * Update docs for diff drive controller (#751 <https://github.com/ros-controls/ros2_controllers/issues/751>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sun, 10 Sep 2023 23:00:00 -0000

ros-iron-admittance-controller (3.14.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 15 Aug 2023 23:00:00 -0000

ros-iron-admittance-controller (3.13.0-1jammy) jammy; urgency=high

  * Fix out of bound access in admittance controller (#721 <https://github.com/ros-controls/ros2_controllers/issues/721>)
  * Contributors: Abishalini Sivaraman

 -- Denis Štogl <denis@stogl.de>  Thu, 03 Aug 2023 23:00:00 -0000

ros-iron-admittance-controller (3.12.0-1jammy) jammy; urgency=high

  * Activate AdmittanceControllerTestParameterizedInvalidParameters (#711 <https://github.com/ros-controls/ros2_controllers/issues/711>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Mon, 17 Jul 2023 23:00:00 -0000

ros-iron-admittance-controller (3.11.0-1jammy) jammy; urgency=high

  * Fix cpplint (#681 <https://github.com/ros-controls/ros2_controllers/issues/681>)
  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: Christoph Fröhlich, gwalck

 -- Denis Štogl <denis@stogl.de>  Fri, 23 Jun 2023 23:00:00 -0000

ros-iron-admittance-controller (3.10.1-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 05 Jun 2023 23:00:00 -0000

ros-iron-admittance-controller (3.10.0-1jammy) jammy; urgency=high

  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)
  * Contributors: Sai Kishor Kothakota

 -- Denis Štogl <denis@stogl.de>  Sat, 03 Jun 2023 23:00:00 -0000

ros-iron-admittance-controller (3.9.0-1jammy) jammy; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sat, 27 May 2023 23:00:00 -0000

ros-iron-admittance-controller (3.8.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Sat, 13 May 2023 23:00:00 -0000

ros-iron-admittance-controller (3.7.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 01 May 2023 23:00:00 -0000

ros-iron-admittance-controller (3.6.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Fix docs format (#589 <https://github.com/ros-controls/ros2_controllers/issues/589>)
  * Contributors: Bence Magyar, Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Fri, 28 Apr 2023 23:00:00 -0000

ros-iron-admittance-controller (3.5.0-1jammy) jammy; urgency=high

  * Misplaced param init in admittance_controller (#547 <https://github.com/ros-controls/ros2_controllers/issues/547>)
  * [Parameters] Use gt_eq instead of deprecated lower_bounds in validators (#561 <https://github.com/ros-controls/ros2_controllers/issues/561>)
  * Contributors: Dr. Denis, GuiHome

 -- Denis Štogl <denis@stogl.de>  Thu, 13 Apr 2023 23:00:00 -0000

ros-iron-admittance-controller (3.4.0-1jammy) jammy; urgency=high

  * [AdmittanceController] Addintional argument in methods of ControllerInterface (#553 <https://github.com/ros-controls/ros2_controllers/issues/553>)
  * Removed auto param decl (#546 <https://github.com/ros-controls/ros2_controllers/issues/546>)
  * Contributors: Dr. Denis, GuiHome

 -- Denis Štogl <denis@stogl.de>  Sat, 01 Apr 2023 23:00:00 -0000

ros-iron-admittance-controller (3.3.0-1jammy) jammy; urgency=high

  * Add comments about auto-generated header files (#539 <https://github.com/ros-controls/ros2_controllers/issues/539>)
  * Contributors: AndyZe

 -- Denis Štogl <denis@stogl.de>  Tue, 07 Mar 2023 00:00:00 -0000

ros-iron-admittance-controller (3.2.0-1jammy) jammy; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Denis Štogl <denis@stogl.de>  Fri, 10 Feb 2023 00:00:00 -0000

ros-iron-admittance-controller (3.1.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Thu, 26 Jan 2023 00:00:00 -0000

ros-iron-admittance-controller (3.0.0-1jammy) jammy; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Contributors: Bence Magyar

 -- Denis Štogl <denis@stogl.de>  Thu, 19 Jan 2023 00:00:00 -0000

ros-iron-admittance-controller (2.15.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 06 Dec 2022 00:00:00 -0000

ros-iron-admittance-controller (2.14.0-1jammy) jammy; urgency=high

  * Bring admittance_controller version up to speed
  * [AdmittanceController] Add missing dependecies for the tests (#465 <https://github.com/ros-controls/ros2_controllers/issues/465>)
    We need a concrete implementation of kinematics_interface for tests to work. We use kinematics_interface_kdl implementation in the tests.
  * Fix parameter library export (#448 <https://github.com/ros-controls/ros2_controllers/issues/448>)
  * Add generic admittance controller for TCP wrenches (#370 <https://github.com/ros-controls/ros2_controllers/issues/370>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
    Co-authored-by: Denis Štogl <mailto:denis@stoglrobotics.de>
  * Contributors: Bence Magyar, Denis Štogl, Paul Gesel, Tyler Weaver
  * Bring admittance_controller version up to speed
  * [AdmittanceController] Add missing dependecies for the tests (#465 <https://github.com/ros-controls/ros2_controllers/issues/465>)

