=== debian/control ===
Source: ros-iron-admittance-controller
Section: misc
Priority: optional
Maintainer: Denis Štogl <denis@stogl.de>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-backward-ros, ros-iron-control-msgs, ros-iron-control-toolbox, ros-iron-controller-interface, ros-iron-controller-manager <!nocheck>, ros-iron-filters, ros-iron-generate-parameter-library, ros-iron-geometry-msgs, ros-iron-hardware-interface, ros-iron-joint-trajectory-controller, ros-iron-kinematics-interface, ros-iron-kinematics-interface-kdl <!nocheck>, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-realtime-tools, ros-iron-ros2-control-test-assets <!nocheck>, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-tf2-ros, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-admittance-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-backward-ros, ros-iron-control-msgs, ros-iron-control-toolbox, ros-iron-controller-interface, ros-iron-filters, ros-iron-generate-parameter-library, ros-iron-geometry-msgs, ros-iron-hardware-interface, ros-iron-joint-trajectory-controller, ros-iron-kinematics-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-realtime-tools, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-tf2-ros, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: Implementation of admittance controllers for different input and output interface.
